* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    background: #f0f0f0;
}

.title {
    font-family: monospace;
    position: absolute;
    top: -25px;
    left: 0;
    font-size: 1rem;
}

[v-cloak] {
    display: none!important;
}

#app {
    width: auto;
    position: relative;
    margin: 0 auto;
    transition: 0.4s;
    font-family: "Helvetica", sans-serif;
    box-sizing: border-box;
    margin-top: 70px;
    box-shadow: 10px 10px #bbc;
    border: 1px solid #bbc;
    padding: 40px 0px;
    padding-top: 0px;
    margin-bottom: 5rem;
    display: table;
    background: white;
  }
  
  input,
  select,
  textarea {
    -webkit-appeareance: none;
    border: 1px solid #bbc;
    padding: 10px;
    border-radius: 4px;
    width: 100%;
    box-sizing: border-box;
    font-size: 110%;
    margin-bottom: 0.6rem;
  }

  .scrollable {
    max-width: 90vw;
    overflow: scroll;
    display: grid;
  }

  
  label {
    opacity: 0.5;
  }

  .no-padding {
    padding: 0;
  }

  .no-margin {
    margin: 0;
  }

  
  
  .small {
    opacity: 0.5;
    font-size: 0.7rem;
    margin-top: -12px;
    border: none;
  }


  .header, 
  .body {
    padding: 0 80px;
    position: relative;
    display: flex;
    gap: 2rem;
  }

  .header {
    border-bottom: 1px dashed teal;
    align-items: flex-end;
  }

  .header .col {
    padding-bottom: 2rem;
  }

  .body {
    padding-top: 1rem;
  }

  .col {
    position: relative;
    padding-top: 40px;
    width: 250px;
  }
  .col.first,
  .col.last {
    width: 40px;
  }

  .col.last {
    width: 110px;
  }

  .col.first span,
  .col.last span {
    display: block;
    margin-top: -20px;
    opacity: 0.6;
  }

  .col.first .cell,
  .col.last .cell {
    border: 0.5px solid white;
    font-weight: bold;
    padding-left: 0;
    padding-right: 0;
  }


  .flex {
    display: flex;
    gap: 0.5rem;
  }


  .cell {
    padding: 5px 15px;
    border: 1px solid #bbc;
    border-bottom: none;
    width: 100%;
    font-family: monospace;
    font-size: 18px;
    }

  .cell.active {
    background: #eeee;
  }
  .col.first .cell.active,
  .col.last .cell.active {
    background: none;
    color: cadetblue;
  }

  .cell:last-child {
    border-bottom: 1px solid #bbc;
  }


  .addimprovement {
    position: absolute;
    width: 60px;
    height: 60px;
    border-radius: 100px;
    font-size: 30px;
    cursor: pointer;
    right: -30px;
    top: 45px;
    z-index: 9;
    border-color: #bbbbcc;
    border: 1px solid #bbbbcc;
    box-shadow: 3px 5px 0px #bbbbcc;
  }

  .removeimprovement {
    transition: 0.1s ease-in-out;
    transition-delay: 0.2s;
    opacity: 0;
    visibility: hidden;
    position: absolute;
    width: 40px;
    height: 40px;
    border-radius: 100px;
    font-size: 30px;
    cursor: pointer;
    left: calc(50% - 15px);
    bottom: -20px;
    border-color: #bbbbcc;
    border: 1px solid #bbbbcc;
    font-size: 15px;
    pointer-events: all;
    z-index: 1;
    }

  .col:hover .removeimprovement {
    opacity: 1;
    visibility: visible;
  }

  .subtotal {
    float: right;
    opacity: 0.3;
  }